org.apache.uima.resource.service.impl

## Class ResourceService_impl

- java.lang.Object
- - org.apache.uima.resource.service.impl.ResourceService_impl

- Direct Known Subclasses:
    AnalysisEngineService_impl

      public class ResourceService_impl
      extends Object

  Convenience base class for Resource Service implementations. This class is independent of the deployment technology used to deploy the service.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceService_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceMetaData` | `getMetaData()` Gets metadata for this Resource service.
    `protected Resource` | `getResource()` Gets the Resource that delivers the functionality for this resource.
    `protected Class<? extends Resource>` | `getResourceClass()` Gets the Class of resource that provides the functionality for this service.
    `void` | `initialize(ResourceSpecifier aResourceSpecifier, Map<String,Object> aResourceInitParams)` Initializes this ResourceService_impl.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceService_impl

          public ResourceService_impl()

  - ### Method Detail

    - #### initialize

          public void initialize(ResourceSpecifier aResourceSpecifier,
                                 Map<String,Object> aResourceInitParams)
                          throws ResourceInitializationException

      Initializes this ResourceService_impl. This method must be called before any other methods on this class may be called.
      Parameters:
        `aResourceSpecifier` - specifier that describes how to create the resources that provide the functionality for this service.
        `aResourceInitParams` - additional parameters to be passed on to the Resource Factory.
      Throws:
        `ResourceInitializationException` - -

    - #### getMetaData

          public ResourceMetaData getMetaData()
                                       throws ResourceServiceException

      Gets metadata for this Resource service.
      Returns:
        -
      Throws:
        `ResourceServiceException` - -

    - #### getResourceClass

          protected Class<? extends Resource> getResourceClass()

      Gets the Class of resource that provides the functionality for this service. This information is used in the `initialize(ResourceSpecifier,Map)` method in order to create the Resource object. Subclasses may override this method to specify which resource class is to be created.
      Returns:
        the Resource Class for this service

    - #### getResource

          protected Resource getResource()

      Gets the Resource that delivers the functionality for this resource.
      Returns:
        the Resource Pool

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.